summaryrefslogtreecommitdiff
path: root/automated/linux/ui-browser-test
diff options
context:
space:
mode:
Diffstat (limited to 'automated/linux/ui-browser-test')
-rwxr-xr-xautomated/linux/ui-browser-test/ui-browser-test.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/automated/linux/ui-browser-test/ui-browser-test.sh b/automated/linux/ui-browser-test/ui-browser-test.sh
index 44e886b..f40cbf9 100755
--- a/automated/linux/ui-browser-test/ui-browser-test.sh
+++ b/automated/linux/ui-browser-test/ui-browser-test.sh
@@ -59,23 +59,25 @@ install_deps "${pkgs}" "${SKIP_INSTALL}"
mkdir -p "${OUTPUT}"
dist_name
+# shellcheck disable=SC2154
if [ "${dist}" = "debian" ] || [ "${dist}" = "ubuntu" ]; then
"${WD}"/install-on-debian.sh
else
echo "Not a debian machine"
fi
-# Copy robot test scripts to /tmp
-cp -a robot-test-scripts /tmp/
-# Tests should runs by linaro users because X owned by linaro user.
-# linaro user can not create output files in /root
-# so change directory to /tmp
-cd /tmp
-# Run as TESTUSER
-su "${TESTUSER}" -c "${WD}"/run-robot-tests.sh
-# "${UI_BROWSER_TEST_OUTPUT}" directory created by TESTUSER from run-robot-tests.sh
-mv "${UI_BROWSER_TEST_OUTPUT}" "${OUTPUT}"
-mv robot-test-scripts "${OUTPUT}"
-# Parse test results
-python "${WD}"/robot-results-parser.py "${OUTPUT}"/"${UI_BROWSER_TEST_OUTPUT}"/output.xml >> "${RESULT_FILE}"
-cd -
+(
+ # Copy robot test scripts to /tmp
+ cp -a robot-test-scripts /tmp/ || error_msg "Could not copy scripts to /tmp"
+ # Tests should runs by linaro users because X owned by linaro user.
+ # linaro user can not create output files in /root
+ # so change directory to /tmp
+ cd /tmp || error_msg "Could not cd into /tmp"
+ # Run as TESTUSER
+ su "${TESTUSER}" -c "${WD}"/run-robot-tests.sh
+ # "${UI_BROWSER_TEST_OUTPUT}" directory created by TESTUSER from run-robot-tests.sh
+ mv "${UI_BROWSER_TEST_OUTPUT}" "${OUTPUT}"
+ mv robot-test-scripts "${OUTPUT}"
+ # Parse test results
+ python "${WD}"/robot-results-parser.py "${OUTPUT}"/"${UI_BROWSER_TEST_OUTPUT}"/output.xml >> "${RESULT_FILE}"
+)